# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(File/Spec/Functions.pm) perl(File/stat.pm) perl(IO/Capture/Stderr.pm) perl(IO/Capture/Stdout.pm) perl(Module/Build.pm) perl(Pod/Simple/TextContent.pm) perl(Pod/Usage.pm) perl(Software/LicenseUtils.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Module-CPANTS-Analyse
Version:        0.87
Release:        alt1_1
Summary:        Generate Kwalitee ratings for a distribution
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Module-CPANTS-Analyse/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DA/DAXIM/Module-CPANTS-Analyse-%{version}.tar.gz
Source1:        66B25843.asc
BuildArch:      noarch
BuildRequires:  perl(Archive/Any.pm)
BuildRequires:  perl(Archive/Tar.pm)
BuildRequires:  perl(Array/Diff.pm)
BuildRequires:  perl(Class/Accessor.pm)
BuildRequires:  perl(CPAN/DistnameInfo.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(ExtUtils/Manifest.pm)
BuildRequires:  perl(File/chdir.pm)
BuildRequires:  perl(File/Find/Rule.pm)
BuildRequires:  perl(File/Slurp.pm)
BuildRequires:  perl(IO/Capture.pm)
BuildRequires:  perl(List/MoreUtils.pm)
BuildRequires:  perl(LWP/Simple.pm)
BuildRequires:  perl(Module/ExtractUse.pm)
BuildRequires:  perl(Module/Pluggable.pm)
BuildRequires:  perl(Module/Signature.pm)
BuildRequires:  perl(Pod/Simple/Checker.pm)
BuildRequires:  perl(Readonly.pm)
BuildRequires:  perl(Set/Scalar.pm)
BuildRequires:  perl(Software/License.pm)
BuildRequires:  perl(Test/CPAN/Meta/YAML/Version.pm)
BuildRequires:  perl(Test/Deep.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/NoWarnings.pm)
# We need to avoid Perl::Critic when bootstrapping because some of its dependencies
# such as PPIx::Regexp and Exception::Class may want to use Test::Kwalitee, which of
# course requires Module::CPANTS::Analyse
%if 0%{!?perl_bootstrap:1}
BuildRequires:  perl(Test/Perl/Critic.pm)
%endif
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(Test/Warn.pm)
BuildRequires:  perl(Text/CSV_XS.pm)
BuildRequires:  perl(version.pm)
BuildRequires:  perl(YAML/Any.pm)
Requires:       perl(Archive/Any.pm) >= 0.06
Requires:       perl(Archive/Tar.pm) >= 1.48
Requires:       perl(Array/Diff.pm) >= 0.04
Requires:       perl(Class/Accessor.pm) >= 0.19
Requires:       perl(CPAN/DistnameInfo.pm) >= 0.06
Requires:       perl(IO/Capture.pm) >= 0.05
Requires:       perl(Module/ExtractUse.pm) >= 0.18
Requires:       perl(Module/Pluggable.pm) >= 2.96
Requires:       perl(Pod/Simple/Checker.pm) >= 2.02
Requires:       perl(version.pm) >= 0.73
Source44: import.info

%description
CPANTS is an acronym for CPAN Testing Service. The goals of the CPANTS project
are to provide some sort of quality measure (called "Kwalitee") and lots of
metadata for all distributions on CPAN.

%prep
%setup -q -n Module-CPANTS-Analyse-%{version}

# Fix line endings
sed -i -e 's/\r$//' bin/cpants_lint.pl Changes README TODO

# Don't want to clobber home directory when using gpg
mkdir --mode=0700 gpghome
export GNUPGHOME=$(pwd)/gpghome
gpg --import %{SOURCE1} || :

%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# %{_fixperms} $RPM_BUILD_ROOT

%files
%doc Changes README TODO
%{_bindir}/cpants_lint.pl
%dir %{perl_vendor_privlib}/Module/
%dir %{perl_vendor_privlib}/Module/CPANTS/
%{perl_vendor_privlib}/Module/CPANTS/Analyse.pm
%{perl_vendor_privlib}/Module/CPANTS/Kwalitee.pm
%dir %{perl_vendor_privlib}/Module/CPANTS/Kwalitee/
%{perl_vendor_privlib}/Module/CPANTS/Kwalitee/*.pm
%{_mandir}/man1/cpants_lint.pl.1*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.87-alt1_1
- update to new release by fcimport

* Thu Dec 13 2012 Igor Vlasenko <viy@altlinux.ru> 0.86-alt1_4
- new fc rel

* Sun May 27 2012 Igor Vlasenko <viy@altlinux.ru> 0.85-alt1_11
- fc import

